Skip to main content
GET
/
v2
/
mobility
/
customers
/
{id}
Kunde abrufen
curl --request GET \
  --url https://api.business-os.de/v2/mobility/customers/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "mobilitybox_customer_id": "mb_cust_abc123",
  "name": "Mustermann GmbH",
  "address_lines": {
    "street": "Musterstraße 1",
    "postal_code": "50667",
    "city": "Köln"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "tickets": [
    {
      "id": "ticket-uuid",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "product_id": "prod_deutschlandticket",
      "product_name": "Deutschlandticket",
      "ticket_type": "subscription",
      "is_subscription": true,
      "coupon_id": "cpn_abc123",
      "ticket_id": "tkt_xyz789",
      "subscription_id": "sub_def456",
      "order_id": "ord_ghi012",
      "status": "active",
      "renewal_status": "pending",
      "current_cycle": 1,
      "tariff_settings": {},
      "valid_from": "2026-04-01T00:00:00.000Z",
      "valid_until": "2026-04-30T23:59:59.000Z",
      "price_in_cents": 4900,
      "metadata": {
        "order": {},
        "ticket": {},
        "product": {},
        "billable_item_id": "<string>"
      },
      "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Dein Business OS API Key. Erstelle einen unter app.business-os.de → API Keys.

Path Parameters

id
string<uuid>
required

Kunden-ID

Response

Kundendetails mit Tickets

Ein Kunde (Unternehmen) für die Ticket-Zuordnung

id
string<uuid>

Kunden-ID

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

organization_id
string<uuid>

Organisations-ID

mobilitybox_customer_id
string | null

Mobility Box Kunden-ID

Example:

"mb_cust_abc123"

name
string

Name des Unternehmens

Example:

"Mustermann GmbH"

address_lines
object

Adressdaten

created_at
string<date-time>

Erstellungszeitpunkt

updated_at
string<date-time>

Letzter Änderungszeitpunkt

tickets
object[]